Skip to content

Credit Representative Dataset

Request

Method: POST

URL: https://{{environment}}.ridx.io/asic/v1/check-credit-reps

Headers

Header Value
Content-Type application/json
token {{access_token}}

Request Body

Property Type Description
type String The check type of the search, can be "name" to search by a person, or "company" to search by a company name
firstName String First name of the person being searched. Only used when the type is "name"
middleName String Optional. Middle name of the person being searched. Only used when the check_type is "name"
lastName String Last name of the person being searched. Only used when the type is "name"
companyName String The company name to search by. Only used when the type is "company"

Important Response Data

Property Type Description
ResponseCode String Will be either Y (found a match), N (no match) or X (expired match)
rapidID String Check ID used for retrieving pdf report

Example Requests

{
  "type": "name",
  "firstName": "John",
  "lastName": "Smith"
}
{
  "type": "name",
  "firstName": "John",
  "lastName": "Snow"
}
{
  "type": "name",
  "firstName": "John",
  "lastName": "Smith&"
}

Example Responses

Status: 200 OK

{
  "ResponseCode": "Y",
  "message": "Details matched",
  "Matches": [
    {
      "CreditRepresentativeNumber": 474523,
      "LicenseNumber": 387025,
      "Commenced": "2018-11-01T00:00:00.000Z",
      "Status": "Current",
      "PrinciplePlaceOfNusinessAddress": "NARRE WARREN, VIC",
      "CreditRepresentativeAuthorisations": "Same as Registrant",
      "EDRSMembership": "AFCA"
    }
  ],
  "rapidID": "check-id"
}

Status: 200 OK

{
  "ResponseCode": "N",
  "message": "Detail did not match",
  "Matches": [],
  "rapidID": "check-id"
}

Status: 400 Bad Request

{
  "status": "400",
  "message": "lastName should only contain alphanumeric characters, hyphens, apostrophes and spaces"
}